<div class="container">

    <div class="row d-flex justify-content-center my-3">
        <div class="col-md-8">

            <div class="card text-center">
                <div class="card-header">
                    Agregar desembolso.
                </div>

                <div class="card-body">
                    <!--Formulario para dar de alta-->
                    <form [formGroup]="desembolsoForm">
                        <!--fila-->
                            <div class="form-group">
                                <label for="nombre_ac">Nombre AC: </label>
                                <input type="text" 
                                    class="form-control" 
                                    id="nombre_ac" 
                                    formControlName="nombre_ac"
                                    [class.is-invalid]="nombre_ac.invalid && (nombre_ac.dirty || nombre_ac.touched)">
                                <div class="alert-danger my-2" *ngIf="nombre_ac.invalid && (nombre_ac.dirty || nombre_ac.touched)">
                                    <div *ngIf="nombre_ac.errors.required">
                                        <small>Nombre AC es requerido</small>
                                    </div>
                                    
                                    <div *ngIf="nombre_ac.errors.minlength">
                                        <small>
                                            Al menos debe contar con 5 caracteres
                                        </small>
                                    </div>
                                </div>

                            </div> 

                            <div class="form-group ">
                                <label for="clientes">Clientes: </label>
                                <input type="number" 
                                class="form-control" 
                                id="clientes" 
                                formControlName="clientes"
                                [class.is-invalid]="clientes.invalid && (clientes.dirty || clientes.touched)">
                                <div class="alert-danger my-2" *ngIf="clientes.invalid && (clientes.dirty || clientes.touched)">
                                    <div *ngIf="clientes.errors.required">
                                        <small>Número de clientes es requerido</small>
                                    </div>
                                </div>
                            </div> 

                            <div class="form-group">
                                <label for="monto">Monto: </label>
                                <input type="number" class="form-control" id="monto" formControlName="monto" 
                                [class.is-invalid]="monto.invalid && (monto.dirty || monto.touched)">
                                <div class="alert-danger my-2" *ngIf="monto.invalid && (monto.dirty || monto.touched)">
                                    <div *ngIf="monto.errors.required">
                                        <small>Monto es requerido</small>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="banco">Banco: </label>
                                <select class="custom-select" name="banco" id="banco" formControlName="banco" 
                                [class.is-invalid]="banco.invalid && (banco.dirty || banco.touched)">
                                    <option selected></option>
                                    <option [ngValue]="1">BBVA Bancomer</option>
                                    <option [ngValue]="2">Banamex</option>
                                </select>
                                <div class="alert-danger my-2" *ngIf="banco.invalid && (banco.dirty || banco.touched)">
                                    <div *ngIf="banco.errors.required">
                                        <small>Selecciona banco</small>
                                    </div>
                                </div>
                            </div>
                        
                            <div class="form-group">
                                <label for="fecha_desembolso">Desembolso: </label>
                                <input type="date" 
                                class="form-control" 
                                id="fecha_desembolso"
                                formControlName="fecha_desembolso"
                                [class.is-invalid]="fecha_desembolso.invalid && (fecha_desembolso.dirty || fecha_desembolso.touched)">
                                <div class="alert-danger my-2" 
                                *ngIf="fecha_desembolso.invalid && (fecha_desembolso.dirty || fecha_desembolso.touched)">
                                    <div *ngIf="fecha_desembolso.errors.required">
                                        <small>Selecciona fecha de desembolso</small>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="sucursal">Sucursal: </label>
                                <select class="custom-select" id="sucursal" formControlName="sucursal" 
                                [class.is-invalid]="sucursal.invalid && (sucursal.dirty || sucursal.touched)">
                                    <option selected></option>
                                    <option [ngValue]="1">Xalapa</option>
                                    <option [ngValue]="2">Teziutlán</option>
                                    <option [ngValue]="3">Oaxaca</option>
                                    <option [ngValue]="4">Puebla</option>
                                </select>
                                <div class="alert-danger my-2" *ngIf="sucursal.invalid && (sucursal.dirty || sucursal.touched)">
                                    <div *ngIf="sucursal.errors.required">
                                        <small>Selecciona sucursal</small>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="regional">Región: </label>
                                <select class="custom-select" id="regional" formControlName="regional" 
                                [class.is-invalid]="regional.invalid && (regional.dirty || regional.touched)">
                                    <option selected></option>
                                    <option [ngValue]="1">Veracruz</option>
                                    <option [ngValue]="2">Puebla</option>
                                    <option [ngValue]="3">Oaxaca</option>
                                </select>
                                <div class="alert-danger my-2" *ngIf="regional.invalid && (regional.dirty || regional.touched)">
                                    <div *ngIf="regional.errors.required">
                                        <small>Selecciona regional</small>
                                    </div>
                                </div>
                            </div>
                        <button type="button" class="btn btn-primary mb-3" (click)="saveDesembolso()">Guardar</button>
                        <div class="form-group">
                            <button type="button" class="btn btn-danger mb-3" (click)="onResetForm()">Limpiar</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <!--{{ nombre_ac }}-->
</div>

    <app-footer></app-footer>